from pdf_parser import get_text_elements, generate_template, read_template
import json


def create_template(p_name, p_path, p_examples):
    elements = get_text_elements(p_path)
    template = generate_template(p_examples, elements)
    data = [p_examples, template]

    with open(p_name + '.template', 'w') as outfile:
        json.dump(data, outfile)


def evaluate_pdf(p_template_name, p_path):

    with open(p_template_name + '.template') as f:
        data = json.load(f)

    template = data[1]
    elements = get_text_elements(p_path)
    content = read_template(template, elements)

    with open("output.shmebulok", "w") as out:
        json.dump(content, out)
